<?php

declare(strict_types=1);

namespace FiloBlu\Refilo\Model\Exporter;

use Magento\Search\Model\QueryInterface;

/**
 *
 */
interface SearchTermExportableInterface
{
    /**
     * @param \Magento\Search\Model\QueryInterface|\Magento\Search\Model\Query $query
     * @return bool
     */
    public function canExport(QueryInterface $query): bool;
}